@import '../../../styles/variables.scss';
@import '../../../styles/dependencies/helpers.scss';

.registerContainer {
    display: flex;
    flex-direction: column;
    align-items: center;
    margin-top: 83px;
    padding-left: 16px;
    padding-right: 16px;
    height: $main-height;

    .registerTitle{
        font-size: 25px;
    }

    form {
        margin-top: 30px;
        display: flex;
        column-gap: 10px;
        flex-direction: column;
        row-gap: 10px;
        width: 100%;

        input, .registerSelect {
            width: 100%;
            box-sizing: border-box;
            padding: 10px;
            outline: none;
        }

        .registerSelect 
        {
            border-radius: 999px;
            border: 1px solid #ddd;
            height: 50px;
            color: #757575;
            padding-left: 25px;
        }

        select {
            appearance: none;
        }

        .registerError {
            color: $red;
            text-align: center;
            margin: 0;
            font-size: 14px;
        }

        .registerBtn {
            background: $primary;
            outline: none;
            border: none;
            border-radius: 999px;
            color: white;
            font-weight: 500;
            &:hover{
                opacity: 0.75;
                cursor: pointer;
            }
        }
    }
}



.registerPasswordField {
    position: relative;
    .registerPasswordIcon{
        position: absolute;
        right: 15px;
        top: 30%;
        width: 20px;
        height: 20px;
        &:hover{
            cursor: pointer;
        }
    }
}

.registerLogoFirstChar {
    font-size: 40px;
    font-weight: bold;
    color: $primary
}

.registerLogoSecondChar {
    font-size: 40px;
    font-weight: bold;
    padding: 5px;
    background-color: $primary;
    color: white;
    border-radius: 5px;
}

.registerSignup {
    margin-top: 20px;
}

.registerSignup_special {
    color: $primary;
    margin-left: 5px;
    &:hover{
        text-decoration: underline;
        text-underline-offset: 2px;
        cursor: pointer;
    }
}

.registerBackground {
    position: absolute;
    top: 85%;
}